// $Header: /cvs/ieview/ieview/install.js.in,v 1.11 2005/06/20 21:23:17 roub Exp $

const APP_DISPLAY_NAME    = "IE View (IE Tab)";
const APP_NAME            = "ieview";
const APP_PACKAGE         = "/PaulRoub/ieview";
const APP_VERSION         = "1.3.0";

const localeList =  new Array( "en-US",  "da-DK",  "de-AT",  "de-DE",  "fr-FR",  "ko-KR",  "ru-RU",  "zh-TW",  "es-ES",  "it-IT",  "pl-PL",  "nl-NL",  "ca-AD",  "ja-JP",  "pt-PT",  "he-IL",  "sv-SE",  "zh-CN",  "pt-BR",  "cs-CZ",  "fi-FI");

const APP_JAR_FILE        = "ieview.jar";
const APP_CONTENT_FOLDER  = "content/";

const APP_SUCCESS_MESSAGE = "New menuitems will appear on the link and page context menus.\n\n";

var chromef, chromeFlag;

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

chromef = getFolder("Profile", "chrome");
chromeFlag = PROFILE_CHROME;

setPackageFolder(chromef);
var err = addFile("Paul Roub", APP_VERSION, "chrome/" + APP_JAR_FILE, chromef, null);

if (err == SUCCESS) 
{ 
	var jar = getFolder(chromef, APP_JAR_FILE);

	registerChrome(CONTENT | chromeFlag, jar, APP_CONTENT_FOLDER);

	for ( var i = 0; i < localeList.length; ++i)
	{
		var localeFolder = "locale/" + localeList[i] + "/ieview/";
		var rcres = registerChrome(Install.LOCALE  | chromeFlag, jar, localeFolder);
	}	

	err = performInstall();

	if(err == SUCCESS || err == 999) 
	{
		alert(APP_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
			+APP_SUCCESS_MESSAGE
			+"Please restart your browser before continuing.");
	} 
	else 
   	{ 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} 
else 
{
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to phoenix/chrome directory). \n");
	cancelInstall(err);
}

